<?php

/*
 * Squelette : ../plugins/saisies_v2/saisies/inclure/generer_saisies.html
 * Date :      Wed, 23 Dec 2015 12:08:48 GMT
 * Compile :   Fri, 15 Jul 2016 07:46:47 GMT
 * Boucles :   _contenu
 */ 

function BOUCLE_contenuhtml_01c7e75e0fc6f424e8e79e725d895ec7(&$Cache, &$Pile, &$doublons, &$Numrows, $SP) {

	static $command = array();
	static $connect;
	$command['connect'] = $connect = '';
	$command['source'] = array(interdire_scripts(entites_html(table_valeur(@$Pile[0], (string)'saisies', null),true)));
	$command['sourcemode'] = 'table';
	if (!isset($command['table'])) {
		$command['table'] = '';
		$command['id'] = '_contenu';
		$command['from'] = array();
		$command['type'] = array();
		$command['groupby'] = array();
		$command['select'] = array(".valeur");
		$command['orderby'] = array();
		$command['where'] = 
			array();
		$command['join'] = array();
		$command['limit'] = '';
		$command['having'] = 
			array();
	}
	if (defined("_BOUCLE_PROFILER")) $timer = time()+microtime();
	$t0 = "";
	// REQUETE
	$iter = IterFactory::create(
		"DATA",
		$command,
		array('../plugins/saisies_v2/saisies/inclure/generer_saisies.html','html_01c7e75e0fc6f424e8e79e725d895ec7','_contenu',39,$GLOBALS['spip_lang'])
	);
	if (!$iter->err()) {
	$SP++;
	// RESULTATS
	while ($Pile[$SP]=$iter->fetch()) {

		$t0 .= (
'
' .
((array_key_exists('saisie',interdire_scripts($Pile[$SP]['valeur'])))  ?
		(' ' . (	'
' .
	saisies_generer_html($Pile[$SP]['valeur'],interdire_scripts(((($a = entites_html(table_valeur(@$Pile[0], (string)'_env', null),true)) OR (is_string($a) AND strlen($a))) ? $a : unserialize(@serialize($Pile[0]))))) .
	'
')) :
		'') .
'
');
	}
	$iter->free();
	}
	if (defined("_BOUCLE_PROFILER")
	AND 1000*($timer = (time()+microtime())-$timer) > _BOUCLE_PROFILER)
		spip_log(intval(1000*$timer)."ms BOUCLE_contenu @ ../plugins/saisies_v2/saisies/inclure/generer_saisies.html","profiler"._LOG_AVERTISSEMENT);
	return $t0;
}

//
// Fonction principale du squelette ../plugins/saisies_v2/saisies/inclure/generer_saisies.html
// Temps de compilation total: 2.310 ms
//

function html_01c7e75e0fc6f424e8e79e725d895ec7($Cache, $Pile, $doublons = array(), $Numrows = array(), $SP = 0) {

	if (isset($Pile[0]["doublons"]) AND is_array($Pile[0]["doublons"]))
		$doublons = nettoyer_env_doublons($Pile[0]["doublons"]);

	$connect = '';
	$page = (
'

' .
BOUCLE_contenuhtml_01c7e75e0fc6f424e8e79e725d895ec7($Cache, $Pile, $doublons, $Numrows, $SP) .
'


' .
(($t1 = strval(interdire_scripts((((((entites_html(table_valeur(@$Pile[0], (string)'from_fieldset', null),true)) ?'' :' ')) AND (interdire_scripts((((saisies_afficher_si(entites_html(table_valeur(@$Pile[0], (string)'saisies', null),true))) OR (interdire_scripts(saisies_afficher_si_remplissage(entites_html(table_valeur(@$Pile[0], (string)'saisies', null),true))))) ?' ' :'')))) ?' ' :''))))!=='' ?
		($t1 . (	' ' .
	recuperer_fond( 'inclure/js_afficher_si' , array_merge($Pile[0],array()), array('compil'=>array('../plugins/saisies_v2/saisies/inclure/generer_saisies.html','html_01c7e75e0fc6f424e8e79e725d895ec7','',46,$GLOBALS['spip_lang'])), _request('connect')))) :
		'') .
'
');

	return analyse_resultat_skel('html_01c7e75e0fc6f424e8e79e725d895ec7', $Cache, $page, '../plugins/saisies_v2/saisies/inclure/generer_saisies.html');
}
?>